Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/qperf: new aport

From: Matthieu Monnier <matthieu.monnier_at_enalean.com>
Date: Fri, 9 Sep 2016 11:35:54 +0200

Measuring network performance.
---
 testing/qperf/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/qperf/APKBUILD
diff --git a/testing/qperf/APKBUILD b/testing/qperf/APKBUILD
new file mode 100644
index 0000000..4dcf06f
--- /dev/null
+++ b/testing/qperf/APKBUILD
_at_@ -0,0 +1,32 @@
+# Maintainer: Matthieu Monnier <matthieu.monnier_at_enalean.com>
+pkgname=qperf
+pkgver=0.4.9
+pkgrel=0
+pkgdesc="Measuring network performance"
+url="https://www.openfabrics.org"
+arch="all"
+subpackages="$pkgname-doc"
+license="GPL2"
+source="https://www.openfabrics.org/downloads/qperf/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/"$pkgname"-"$pkgver"
+
+build() {
+    cd "$_builddir"
+    ./configure \
+        --prefix=/usr \
+        --sysconfdir=/etc \
+        --mandir=/usr/share/man \
+        --infodir=/usr/share/info \
+        --localstatedir=/var || return 1
+    make || return 1
+}
+
+package() {
+    cd "$_builddir"
+    make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a9eea1953ee5379e57ae5fd7b09fecf2  qperf-0.4.9.tar.gz"
+sha256sums="2300e75edffe95d4dfbe576eb5c2f0d0da3142b5e4a96fcd01b535d50a48f07c  qperf-0.4.9.tar.gz"
+sha512sums="da22c76686b62262381f774fa107d0ec3b0695128628c55ed945c53a20f0854411e6d2b15d431a98177ce5be8332d2a1e54429d3d81c4c22f160d07e992aab3c  qperf-0.4.9.tar.gz"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Sep 09 2016 - 11:35:54 GMT